Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsNetAddress

    java.lang.Object
      |
      +--com.novell.service.nds.NdsNetAddress

public class NdsNetAddress
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to values of the NetAddress attribute. It is used for network addresses in the NetWare environment. The address type indicates the type of communications protocol used (IPX, AppleTalk, IP, OSI NSAP, etc.).

For two values of Net Address to match, the type, length, and value of the address must match. The address length is the number of bytes. The address itself is stored as a binary string, which is the literal value of the address.

Matching Rules: Equality

See Also:
  `NdsSyntaxId`, Serialized Form

Field Summary
`static int` | `TYPE_ASP` NetWare address type is ASP.
`static int` | `TYPE_DDP` NetWare address type is DDP.
`static int` | `TYPE_IPX` NetWare address type is IPX.
`static int` | `TYPE_NONE` No NetWare address type provided.
`static int` | `TYPE_TCP` NetWare address type is TCP.
`static int` | `TYPE_TCP6` NetWare address type is TCP6.
`static int` | `TYPE_UDP` NetWare address type is UDP.
`static int` | `TYPE_UDP6` NetWare address type is UDP6.
`static int` | `TYPE_WILD` NetWare address type is WILD.

Constructor Summary
`NdsNetAddress(long type, byte[] address)` Constructs an NdsNetAddress object based on the specified type and address variables.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`int` | `count()` Returns the number of elements in this sequence.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`byte[]` | `getAddress()` Returns the byte array of Net Address values stored in the NDS attribute.
`long` | `getLength()` Returns the length of the Net Address.
`int` | `getNdsSyntaxId()` Returns the int that represents this NDS syntax ID.
`long` | `getType()` Returns the long value of Net Address type stored in the NDS attribute.
`` | `getValue(java.lang.String compositeId)` Returns a SchemaValue object based on the given passed-in string containing the element value.
`java.util.Enumeration` | `getValueIds()` Returns an enumeration of element IDs in this composite.
`java.util.Enumeration` | `getValues()` Returns an enumeration of element values in this composite.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates a string representation of the object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NONE

    public static final int TYPE_NONE

  No NetWare address type provided.

  (TYPE_NONE = 0x00000000)

### TYPE_IPX

    public static final int TYPE_IPX

  NetWare address type is IPX.

  (TYPE_NONE = 0x00000001)

  Format of address: nn nn nn nn aa aa aa aa aa aa pp pp where nn is a network address byte, aa is a node address byte and pp is a port

### TYPE_DDP

    public static final int TYPE_DDP

  NetWare address type is DDP.

  (TYPE_IPX = 0x00000003)

### TYPE_ASP

    public static final int TYPE_ASP

  NetWare address type is ASP.

  (TYPE_ASP = 0x00000004)

### TYPE_UDP

    public static final int TYPE_UDP

  NetWare address type is UDP.

  (TYPE_UDP = 0x00000008)

  Format of address: pp pp aa aa aa aa where pp is a port byte and aa is an address byte.

### TYPE_TCP

    public static final int TYPE_TCP

  NetWare address type is TCP.

  (TYPE_TCP = 0x00000009)

### TYPE_UDP6

    public static final int TYPE_UDP6

  NetWare address type is UDP6.

  (TYPE_UDP6 = 0x0000000A)

### TYPE_TCP6

    public static final int TYPE_TCP6

  NetWare address type is TCP6.

  (TYPE_TCP6 = 0x0000000B)

### TYPE_WILD

    public static final int TYPE_WILD

  NetWare address type is WILD.

  (TYPE_WILD = 0x00008000)

Constructor Detail

### NdsNetAddress

    public NdsNetAddress(long type,
                         byte[] address)

  Constructs an NdsNetAddress object based on the specified type and address variables.
  Parameters:
    `type` - The address type to be stored as a long value. IPX = 0, IP = 1, OSI NSAP = 4, AppleTalk = 5, etc.
    `address` - The literal value of the address to be stored as a byte array.

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the NdsNetAddress syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter.

  The equals method implements the most discriminating possible equivalence relation on objects; that is, for any reference values X and Y, this method returns TRUE if and only if X and Y refer to the same object (X==Y has the value TRUE).

  Parameters:
    `anObject` - The reference object with which to compare.
  Returns:
    A boolean set to TRUE if and only if the argument is not NULL and is an NDS integer object that contains the same value as this object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### count

    public int count()

  Returns the number of elements in this sequence.
  Specified by:
    count in interface
  Returns:
    The number of elements in this sequence as an int.

### getValue

    public  getValue(java.lang.String compositeId)

  Returns a SchemaValue object based on the given passed-in string containing the element value. The SchemaValue object is a Java language data type.
  Specified by:
    getValue in interface
  Parameters:
    `compositeId` - The passed-in string containing the element value.
  Returns:
    The SchemaValue object containing the type, length and address, or NULL.

### getValueIds

    public java.util.Enumeration getValueIds()

  Returns an enumeration of element IDs in this composite.
  Specified by:
    getValueIds in interface
  Returns:
    An enumeration of element IDs.

### getValues

    public java.util.Enumeration getValues()

  Returns an enumeration of element values in this composite.
  Specified by:
    getValues in interface
  Returns:
    An enumeration of element values (type and address length).

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the NdsNetAddress syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents this NDS syntax ID.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules. The NetAddress syntax supports only the Equality matching rule.
  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - The set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Generates a string representation of the object. It returns a string that textually represents the object. The result should be a concise but informative representation that is easy to read.
  Returns:
    The String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getType

    public long getType()

  Returns the long value of Net Address type stored in the NDS attribute.
  Returns:
    The long value of Net Address type.

### getLength

    public long getLength()

  Returns the length of the Net Address.
  Returns:
    The long value of Net Address length.

### getAddress

    public byte[] getAddress()

  Returns the byte array of Net Address values stored in the NDS attribute.
  Returns:
    The byte array of address values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD